Subject: Re: bug#79374: [PATCH] eglot: add support for semantic tokens

From: Philip Kaludercic <[email-masked]>
Date: Thu, 04 Sep 2025 08:36:47 +0000

"Lua V. R." <[email-masked]> writes:

> Hi Philip,
>
> Em 03/09/2025 05:01, Philip Kaludercic escreveu:
>> As mentioned on Emacs-devel, shouldn't this be `eglot-semantic-tokens-mode'.
> Thanks for catching this :) I fixed it among other things, and I
> apologize for being unfamiliar with the e-mail git workflow. 

FWIW I did not notice that you were doing anything wrong :)

>                                                              I don't
> know if I should send a patch on top of the previous patch, but I'm
> sending a squashed one.

That is the conventional approach.  The idea is that we can apply a
clean patch to emacs.git, while the mailing list is sort of the meta VCS
over the patch (if that makes sense).

> In this new patch I also removed a "hash" I used in attempt to avoid a
> burst of requests, because it was not working in some particular
> situations (I can explain if you want). Now, due to how jit-lock
> works, Eglot may send two requests after a didChange if the server
> does not support delta requests. But this was also the case in the
> version with the hash, so alas, it was just complicating things.

My experience with Eglot internals is limited so I cannot really comment
on that part, sorry.